#ifndef CLIB_SYSINFO_PROTOS_H
#define CLIB_SYSINFO_PROTOS_H
/*
**      $VER: SysInfo_protos.h 1.30 (14.11.95)
**      SysInfo Release 1.30
**
**      C prototypes.
**
**      This file is public domain.
**
**      Author: Petri Nordlund <petrin@megabaud.fi>
**
**      $Id: SysInfo_protos.h 1.3 1995/11/14 13:00:38 petrin Exp petrin $
**
*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef LIBRARIES_SYSINFO_H
#include <libraries/SysInfo.h>
#endif

/* init */
struct SysInfo *InitSysInfo(void);
void FreeSysInfo(struct SysInfo *);

/* load average */
void GetLoadAverage(struct SysInfo *, struct SI_LoadAverage *);

/* id */
LONG GetPid(struct SysInfo *);
LONG GetPpid(struct SysInfo *);
LONG GetPgrp(struct SysInfo *);

/* nice */
LONG GetNice(struct SysInfo *, LONG, LONG);
LONG SetNice(struct SysInfo *, LONG, LONG, LONG);

/* notify */
struct SI_Notify *AddNotify(struct SysInfo *, WORD, LONG);
void RemoveNotify(struct SysInfo *, struct SI_Notify *);

/* cpu usage */
void GetCpuUsage(struct SysInfo *, struct SI_CpuUsage *);
LONG GetTaskCpuUsage(struct SysInfo *, struct SI_TaskCpuUsage *, struct Task *);

#endif /* CLIB_SYSINFO_PROTOS_H */
